import request from '@/utils/request'
import Qs from 'qs';


//获取亲属列表
export function getRelationList() {
	return request({
		url: '/mobile/relationApi/relationList',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//获取亲属详情
export function getRelationInfo(popedomId) {
	return request({
		url: '/mobile/relationApi/findByPopedomId',
		data: Qs.stringify({
			popedomId: popedomId
		}),
		method: 'post',
	})
}

//清除亲属关系
export function delRelation(popedomId) {
	return request({
		url: '/mobile/relationApi/clearRelation',
		data: Qs.stringify({
			popedomId: popedomId
		}),
		method: 'post',
	})
}

//获取联系人列表
export function getPhoneNumberList(params) {
	return request({
		url: '/mobile/phoneBookApi/phoneList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取联系人详情
export function getPhoneNumberInfo(bookId) {
	return request({
		url: '/mobile/phoneBookApi/findByBookId',
		data: Qs.stringify({
			bookId: bookId
		}),
		method: 'post',
	})
}

//新增修改联系人
export function updatePhoneNumber(params) {
	return request({
		url: '/mobile/phoneBookApi/updateBook',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//删除联系人
export function delPhoneNumber(bookId) {
	return request({
		url: '/mobile/phoneBookApi/deleteBook',
		data: Qs.stringify({
			bookId: bookId
		}),
		method: 'post',
	})
}
